<?php
date_default_timezone_set('America/Lima');

class cConsulta{

	
	function mostrar_productosmasvendidos($fec1,$fec2,$cli_id,$lim,$punven_id){
		$sql="SELECt ct.tb_catalogo_id as 'CATID', pma.tb_productomarca_codbar as 'CODBAR' ,p.tb_producto_nom as 'PRONOM',m.tb_marca_nom as 'MARNOM', sum(dv.tb_ventadetalle_can) as 'CANT' from tb_venta v 
	inner join tb_ventadetalle dv on dv.tb_venta_id  = v.tb_venta_id
	LEFT JOIN tb_marca m ON dv.tb_marca_id = m.tb_marca_id
	left join tb_productomarca pma on pma.tb_marca_id = m.tb_marca_id
	LEFT JOIN tb_catalogo ct ON dv.tb_catalogo_id = ct.tb_catalogo_id
	LEFT JOIN tb_producto p ON ct.tb_producto_id = p.tb_producto_id
	LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
	inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
	LEFT JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id
	";
		
		$sql.=" where v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = '$cli_id' ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = '$punven_id' ";
		 
		$sql.=" group by ct.tb_catalogo_id , m.tb_marca_id , pma.tb_productomarca_codbar ,p.tb_producto_nom,m.tb_marca_nom ORDER BY sum(dv.tb_ventadetalle_can) desc ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_clientemas($fec1,$fec2,$cli_id,$lim,$punven_id){
	$sql="select cli.tb_cliente_doc as  'cliruc',cli.tb_cliente_nom as  'clinom' , sum(v.tb_venta_tot) as 'tot' ,  mon.tb_moneda_sim as 'sim'  from tb_cliente cli
	inner join tb_venta v on v.tb_cliente_id = cli.tb_cliente_id
	inner join tb_moneda mon on mon.tb_moneda_id = v.tb_moneda_id ";	
		$sql.=" where v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = '$cli_id' ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = '$punven_id' ";
		
		 
		$sql.=" group by v.tb_cliente_id,v.tb_moneda_id,mon.tb_moneda_sim,cli.tb_cliente_nom ,cli.tb_cliente_doc ORDER BY sum(v.tb_venta_tot) desc limit 0,$lim ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_numdoc($fec1,$fec2,$cli_id,$punven_id){
		$sql="select * from tb_venta v where v.tb_venta_xac = '1' ";	
		
		$sql.=" and v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = '$cli_id' ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = '$punven_id' ";
		
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrardetalles_numdoc($fec1,$fec2,$cli_id,$punven_id){
		$sql="select * from tb_venta v 
	inner join tb_ventadetalle vd on vd.tb_venta_id = v.tb_venta_id
	inner join tb_marca ma on ma.tb_marca_id = vd.tb_marca_id
	inner join tb_moneda mon on mon.tb_moneda_id = v.tb_moneda_id
    inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
    inner join tb_piso p on p.tb_puntoventa_id = pv.tb_puntoventa_id
    inner join tb_almacen alm on alm.tb_almacen_id = p.tb_almacen_id
	where v.tb_venta_xac = '1' ";	
		
		$sql.=" and v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = '$cli_id' ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = '$punven_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_kardex_por($cat_id,$mar_id, $alm_id,$fec){
		$sql="SELECT *
		FROM tb_kardex k
		LEFT JOIN tb_kardexdetalle kd ON k.tb_kardex_id = kd.tb_kardex_id		
		WHERE tb_kardex_xac = 1
        AND kd.tb_catalogo_id = '$cat_id' and kd.tb_marca_id = '$mar_id'
        AND kd.tb_almacen_id = '$alm_id' and k.tb_modulo_id = 4
        and k.tb_kardex_fec <= '$fec'
        order by k.tb_kardex_fec desc limit 1 ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		
	}
	
	
}
?>